Package org.springframework.expression.spel.support

# Class BooleanTypedValue

java.lang.Object
org.springframework.expression.TypedValue
org.springframework.expression.spel.support.BooleanTypedValue

public final class BooleanTypedValue extends TypedValue
A `TypedValue` for booleans.

Since:
  3.0
Author:
  Andy Clement

## Field Summary

Fields
Modifier and Type
Field
Description
`static final BooleanTypedValue`
`FALSE`
False.
`static final BooleanTypedValue`
`TRUE`
True.

### Fields inherited from class org.springframework.expression.TypedValue

`NULL`

## Method Summary

Modifier and Type
Method
Description
`static BooleanTypedValue`
`forValue(boolean b)`

### Methods inherited from class org.springframework.expression.TypedValue

`equals, getTypeDescriptor, getValue, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TRUE

public static final BooleanTypedValue TRUE
True.

### FALSE

public static final BooleanTypedValue FALSE
False.

## Method Details

### forValue

public static BooleanTypedValue forValue(boolean b)